<html>
  <head>
      <meta charset="UTF-8">
      <title>Vision+ :</title>
      <meta http-equiv="x-ua-compatible" content="ie=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <meta name="google-site-verification" content="MU1SEKOh4hqPEsvAbaq6jq517rVPPMu3oC3gVJGuu7U" />
      <meta name="title" content="Vision+ Movies">
      <meta name="keywords" content="okezone, layar tancap, mncnow, mnc now, sinetron, now, tonton film, ftv, film indonesia, free, ott, broadcast, mnc">
      <meta name="description" content="Nonton ratusan film pilihan dari Indonesia, Hollywood dan Asia. Film lepas, series, sinetron, drakor dan animasi hanya di MNC Now">
      <meta name="author" content="visionplus.id">
      <meta name="viewport" content="initial-scale=1, maximum-scale=1">  
      <link rel="shortcut icon" href="https://visionplus.id/statics/app-logo-128x128.png" type="image/x-icon">

      <!-- WEB TAG -->
          <script async src="https://www.googletagmanager.com/gtag/js?id=UA-111351533-1"></script>
          <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
      
            gtag('config', 'UA-111351533-1');
          </script>
      
          <!-- Global site tag (gtag.js) - Google Analytics -->
          <script async src="https://www.googletagmanager.com/gtag/js?id=UA-111351533-7"></script>
          <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
      
            gtag('config', 'UA-111351533-7');
          </script>    
      
          <!-- Global site tag (gtag.js) - Google Analytics 3rd-->
          <script async src="https://www.googletagmanager.com/gtag/js?id=UA-154114411-1"></script>
          <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
      
            gtag('config', 'UA-154114411-1');
          </script>
      
          <!-- Begin comScore Tag -->
          <script>
              var _comscore = _comscore || [];
              _comscore.push({ c1: "2", c2: "33003457" });
              (function() {
                var s = document.createElement("script"), el = document.getElementsByTagName("script")[0]; s.async = true;
                s.src = (document.location.protocol == "https:" ? "https://sb" : "http://b") + ".scorecardresearch.com/beacon.js";
                el.parentNode.insertBefore(s, el);
              })();
            </script>
            <noscript>
              <img src="https://sb.scorecardresearch.com/p?c1=2&c2=33003457&cv=2.0&cj=1" />
            </noscript>
          <!-- End comScore Tag -->
      
          <!-- Begin comScore Tag -->
          <script>var _comscore=_comscore||[];_comscore.push({c1:"2",c2:"9013027"}),function(){var c=document.createElement("script"),e=document.getElementsByTagName("script")[0];c.async=!0,c.src=("https:"==document.location.protocol?"https://sb":"http://b")+".scorecardresearch.com/beacon.js",e.parentNode.insertBefore(c,e)}();</script>
          <noscript><img alt="Share" src="https://b.scorecardresearch.com/p?c1=2&c2=9013027&cv=2.0&cj=1" /></noscript>
          <!-- End comScore Tag -->
      <!-- WEB TAG -->
  
      
      <style>
          .video-player {
              position: relative !important;
              width: auto !important;
              height: 100% !important;
              margin: 0;
              max-height: calc(100vh - 64px);
              position: relative !important;
              width: auto;
              height: 100% !important;
              max-width: auto !important;
              padding-top: 0 !important;
              line-height: 0;
          }

          /* Fix the control bar due to us resetting the line-height on the video-js */
          /* .vjs-control-bar {
              line-height: 1;
          }          */
      </style>

      <link rel="stylesheet" href="vjs-vast/style.css" />
      <link rel="stylesheet" href="vjs-vast/node_modules/video.js/dist/video-js.min.css">
      <link rel="stylesheet" href="vjs-vast/node_modules/videojs-contrib-ads/dist/videojs.ads.css" />
      <link rel="stylesheet" href="vjs-vast/dist/videojs.ima.css" />
  </head>

  <body bgcolor="black">
      <script src="//imasdk.googleapis.com/js/sdkloader/ima3.js"></script>
      <script src="vjs-vast/node_modules/video.js/dist/video.min.js"></script>
      <script src="vjs-vast/node_modules/videojs-contrib-ads/dist/videojs.ads.min.js"></script>
      <script src="vjs-vast/dist/videojs.ima.js"></script>
      <script src="vjs-vast/node_modules/can-autoplay/build/can-autoplay.min.js"></script>
      <script src="vjs-vast/ads-visionplus.js"></script>

      <div align="center">
            <video autoplay muted id="content_video" class="video-js vjs-default-skin"
                poster = "vjs-vast/posters/loading.png" controls preload="auto"
                playsinline data-setup='{"fluid":true}' >
              <source id="vidsource" src="//commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4"
                  type="video/mp4" ></source>
            </video>
      </div>

      <script>
          function getQueryStrings() { 
              var assoc  = {};
              var decode = function (s) { return decodeURIComponent(s.replace(/\+/g, " ")); };
              var queryString = location.search.substring(1); 
              var keyValues = queryString.split('&'); 

              for(var i in keyValues) { 
                var key = keyValues[i].split('=');
                if (key.length > 1) {
                  assoc[decode(key[0])] = decode(key[1]);
                }
              } 

              return assoc;
          }

          var qs = getQueryStrings();
          var myParamURL = qs["url"];
          var myParamIMG = qs["img"];
          var vartype = "video/mp4"
          // console.log("img : " + myParamIMG);
          if (!myParamURL) 
          { 
              url = "//commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4"; 
              vartype = "video/mp4";
          } else {
              url = myParamURL
              vartype = "application/x-mpegURL";
          }


          var vidsrc = url.split('\/');
          var title = vidsrc;
          if (title[title.length-1] == "index.m3u8")
          {
              title = title[title.length-2]
              document.title='Vision+ : '. concat(title);
          }else{
              title = title[5]
              document.title='Vision+ : '. concat(title);
          }
          console.log("title : " + title);

          // if (title[4]) { document.title='Vision+ : '. concat(title[4]); }

          // myParamURL = myParamURL.replace("_vmx/","/");
          // myParamURL = myParamURL.replace("/transmovies/","/transmoviesnon/");

          document.getElementById('content_video').poster = myParamIMG;
          document.getElementById('vidsource').src = url;
          document.getElementById('vidsource').type = vartype;


      </script>
  </body>
</html>
